Debian Bug report logs - #499201
libidn11-dev: Package fails to configure

version graph

Package: libidn11-dev; Maintainer for libidn11-dev is Debian Libidn Team <help-libidn@gnu.org>; Source for libidn11-dev is src:libidn.

Reported by: Sami Liedes <sliedes@cc.hut.fi>

Date: Tue, 16 Sep 2008 23:24:04 UTC

Severity: serious

Tags: patch

Found in version libidn/1.10-1

Fixed in version libidn/1.10-2.1

Done: Thomas Viehmann <tv@beamnet.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#499201; Package libidn11-dev. Full text and rfc822 format available.

Acknowledgement sent to Sami Liedes <sliedes@cc.hut.fi>:
New Bug report received and forwarded. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sami Liedes <sliedes@cc.hut.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libidn11-dev: Package fails to configure
Date: Wed, 17 Sep 2008 02:23:19 +0300
Package: libidn11-dev
Version: 1.10-1
Severity: serious

The package fails to configure:

------------------------------------------------------------
Setting up libidn11-dev (1.10-1) ...
Usage: install-info [<options> ...] [--] <filename>

Options:
  --section <regexp> <title>
                           put the new entry in the <regex> matched section
                           or create a new one with <title> if non-existent.
  --menuentry=<text>       set the menu entry.
  --description=<text>     set the description to be used in the menu entry.
  --info-file=<path>       specify info file to install in the directory.
  --dir-file=<path>        specify file name of info directory file.
  --infodir=<directory>    same as '--dir-file=<directory>/dir'.
  --info-dir=<directory>   likewise.
  --keep-old               do not replace entries nor remove empty ones.
  --remove                 remove the entry specified by <filename> basename.
  --remove-exactly         remove the exact <filename> entry.
  --test                   enables test mode (no actions taken).
  --debug                  enables debug mode (show more information).
  --quiet                  do not show output messages.
  --help                   show this help message.
  --version                show the version.
dpkg: error processing libidn11-dev (--configure):
 subprocess post-installation script returned error exit status 1
------------------------------------------------------------

	Sami


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26.3 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libidn11-dev depends on:
ii  libidn11                      1.10-1     GNU libidn library, implementation
ii  pkg-config                    0.22-1     manage compile and link flags for 

libidn11-dev recommends no packages.

libidn11-dev suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#499201; Package libidn11-dev. Full text and rfc822 format available.

Acknowledgement sent to dbroome@gmail.com:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #10 received at 499201@bugs.debian.org (full text, mbox):

From: David Broome <dbroome@gmail.com>
To: 499201@bugs.debian.org
Subject: libidn11-dev: Package fails to configure
Date: Tue, 16 Sep 2008 19:15:14 -0500
[Message part 1 (text/plain, inline)]
I get the exact same error (same package and version and arch)

David
[Message part 2 (text/html, inline)]

Tags added: pending Request was from Aníbal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 17 Sep 2008 01:15:04 GMT) Full text and rfc822 format available.

Reply sent to Anibal Monsalve Salazar <anibal@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sami Liedes <sliedes@cc.hut.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 499201-close@bugs.debian.org (full text, mbox):

From: Anibal Monsalve Salazar <anibal@debian.org>
To: 499201-close@bugs.debian.org
Subject: Bug#499201: fixed in libidn 1.10-2
Date: Wed, 17 Sep 2008 05:17:04 +0000
Source: libidn
Source-Version: 1.10-2

We believe that the bug you reported is fixed in the latest version of
libidn, which is due to be installed in the Debian FTP archive:

idn_1.10-2_amd64.deb
  to pool/main/libi/libidn/idn_1.10-2_amd64.deb
libidn11-dev_1.10-2_amd64.deb
  to pool/main/libi/libidn/libidn11-dev_1.10-2_amd64.deb
libidn11_1.10-2_amd64.deb
  to pool/main/libi/libidn/libidn11_1.10-2_amd64.deb
libidn_1.10-2.diff.gz
  to pool/main/libi/libidn/libidn_1.10-2.diff.gz
libidn_1.10-2.dsc
  to pool/main/libi/libidn/libidn_1.10-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 499201@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anibal Monsalve Salazar <anibal@debian.org> (supplier of updated libidn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 17 Sep 2008 14:35:10 +1000
Source: libidn
Binary: idn libidn11-dev libidn11
Architecture: source amd64
Version: 1.10-2
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Anibal Monsalve Salazar <anibal@debian.org>
Description: 
 idn        - Command line and emacs interface to GNU libidn
 libidn11   - GNU libidn library, implementation of IETF IDN specifications
 libidn11-dev - Development files GNU libidn, implementation of IETF IDN spec
Closes: 499201
Changes: 
 libidn (1.10-2) unstable; urgency=low
 .
   * Remove libidn11-dev.postinst; closes: #499201
Checksums-Sha1: 
 18f644a3ae81ba976fd6fbf1c6416a5effc1502a 1032 libidn_1.10-2.dsc
 165d969eaa7f4ff3c71440c58cc62b1b51655a47 4184 libidn_1.10-2.diff.gz
 0a3ed80b35d6d9f9b9750e3ff92176f54ce0b402 92358 idn_1.10-2_amd64.deb
 56094f1c7734035384922992601ba4d4d0e2c6e8 612508 libidn11-dev_1.10-2_amd64.deb
 a7351e8e8e303e9fb998e70153cec1da8cdeb26b 144260 libidn11_1.10-2_amd64.deb
Checksums-Sha256: 
 b9bc97255c0923314c9764e5d2e43524c4c97bac1385fc992a4adbc962ee5b99 1032 libidn_1.10-2.dsc
 2311ac0babbf869402a3378d6e45bf7f53d116f75cf442f6e6d086327fc065ea 4184 libidn_1.10-2.diff.gz
 41ff118c09d5caaca575b4ac330f06269b9d0a251e9b10a46ed9789a198af2c5 92358 idn_1.10-2_amd64.deb
 34c3cc9c212d49237ff4b794a9ca64337e61c669323647758cfda5341b8c9e90 612508 libidn11-dev_1.10-2_amd64.deb
 106065f210a10f59a12ddab00bbbdada237e840755f8bec4a1fc2cbf9034d6c7 144260 libidn11_1.10-2_amd64.deb
Files: 
 4de9c0bf58d3740b368a38418311c347 1032 libs optional libidn_1.10-2.dsc
 da0a1e448203e7b0d421f1622f90b5d7 4184 libs optional libidn_1.10-2.diff.gz
 12a1f8afd168b58b93f5807d43f85028 92358 misc optional idn_1.10-2_amd64.deb
 9c0adaf8ebbd7ec9b4cbcb55ff1e4815 612508 libdevel optional libidn11-dev_1.10-2_amd64.deb
 9e209c6cd9edda651a8088d11d0f2ddb 144260 libs standard libidn11_1.10-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjQkG4ACgkQgY5NIXPNpFVjZQCdFEVMpnRbC9PYpex5+JEhlROZ
sGAAni50clPgyzhaQzoaA9lkq1f/dU51
=kDOM
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#499201; Package libidn11-dev. Full text and rfc822 format available.

Acknowledgement sent to Ivan Sergio Borgonovo <ivan.s.b@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #22 received at 499201@bugs.debian.org (full text, mbox):

From: Ivan Sergio Borgonovo <ivan.s.b@gmail.com>
To: 499201@bugs.debian.org
Subject: patch?
Date: Wed, 17 Sep 2008 07:34:52 +0200
It looks as in postinst
it should be

install-info --section Development -- libidn11-dev

in spite of

install-info --section libidn11-dev Development

-- 
Ivan Sergio Borgonovo
http://www.webthatworks.it





Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#499201; Package libidn11-dev. Full text and rfc822 format available.

Acknowledgement sent to Aníbal Monsalve Salazar <anibal@debian.org>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #27 received at 499201@bugs.debian.org (full text, mbox):

From: Aníbal Monsalve Salazar <anibal@debian.org>
To: Ivan Sergio Borgonovo <ivan.s.b@gmail.com>, 499201@bugs.debian.org
Subject: Re: Bug#499201: patch?
Date: Wed, 17 Sep 2008 16:36:19 +1000
[Message part 1 (text/plain, inline)]
On Wed, Sep 17, 2008 at 07:34:52AM +0200, Ivan Sergio Borgonovo wrote:
>It looks as in postinst
>it should be
>
>install-info --section Development -- libidn11-dev
>
>in spite of
>
>install-info --section libidn11-dev Development

Thank you!

I'll put that in the postinst file.

>-- 
>Ivan Sergio Borgonovo
>http://www.webthatworks.it
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. (Wed, 17 Sep 2008 12:36:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#499201; Package libidn11-dev. Full text and rfc822 format available.

Acknowledgement sent to Hristo Hristov <xpertbg@gmail.com>:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #34 received at 499201@bugs.debian.org (full text, mbox):

From: Hristo Hristov <xpertbg@gmail.com>
To: 499201@bugs.debian.org
Subject: Re: Bug#499201: patch?
Date: Thu, 18 Sep 2008 00:55:43 +0300
Hello,

Shouldn't it be:

install-info --quiet --section "Development" "Development" \
    /usr/share/info/libidn.info.gz

Best regards,
Hristo




Information forwarded to debian-bugs-dist@lists.debian.org, Anibal Monsalve Salazar <anibal@debian.org>:
Bug#499201; Package libidn11-dev. Full text and rfc822 format available.

Acknowledgement sent to tv@beamnet.de:
Extra info received and forwarded to list. Copy sent to Anibal Monsalve Salazar <anibal@debian.org>. Full text and rfc822 format available.

Message #39 received at 499201@bugs.debian.org (full text, mbox):

From: tv@beamnet.de
To: 499201@bugs.debian.org
Subject: libidn: diff for NMU version 1.10-2.1
Date: Thu, 18 Sep 2008 23:04:51 +0200
tags 499201 + patch pending
thanks

Hi,

The following is the diff for my libidn 1.10-2.1 NMU with
the correct fix.

Kind regards

T.

diff -u libidn-1.10/debian/changelog libidn-1.10/debian/changelog
--- libidn-1.10/debian/changelog
+++ libidn-1.10/debian/changelog
@@ -1,3 +1,15 @@
+libidn (1.10-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Reintroduce libidn11-dev.postinst, do .prerm like
+    debhelper would, just with section Development.
+    Pass -n to dh_installinfo because we do the scripting
+    ourselves. Remove bogus idn.info.
+    Fix wrong order of arguments in install-info call
+    compared to 1.10-1. really Closes: #499201
+
+ -- Thomas Viehmann <tv@beamnet.de>  Thu, 18 Sep 2008 18:24:10 +0200
+
 libidn (1.10-2) unstable; urgency=low
 
   * Remove libidn11-dev.postinst; closes: #499201 
diff -u libidn-1.10/debian/rules libidn-1.10/debian/rules
--- libidn-1.10/debian/rules
+++ libidn-1.10/debian/rules
@@ -57,7 +57,7 @@
 	dh_installdocs -A README NEWS TODO AUTHORS THANKS
 	dh_installexamples
 	dh_install
-	dh_installinfo
+	dh_installinfo -n
 	dh_installman
 	dh_link
 	dh_strip
reverted:
--- libidn-1.10/debian/idn.info
+++ libidn-1.10.orig/debian/idn.info
@@ -1 +0,0 @@
-*.info*
only in patch2:
unchanged:
--- libidn-1.10.orig/debian/libidn11-dev.postinst
+++ libidn-1.10/debian/libidn11-dev.postinst
@@ -0,0 +1,7 @@
+#! /bin/sh -e
+
+if [ "$1" = "configure" ]; then
+	install-info --quiet --section Development Development /usr/share/info/libidn.info
+fi
+
+#DEBHELPER#
only in patch2:
unchanged:
--- libidn-1.10.orig/debian/libidn11-dev.prerm
+++ libidn-1.10/debian/libidn11-dev.prerm
@@ -0,0 +1,7 @@
+#! /bin/sh -e
+
+if [ "$1" = remove ] || [ "$1" = upgrade ]; then
+	install-info --quiet --remove /usr/share/info/libidn.info
+fi
+
+#DEBHELPER#




Tags added: patch, pending Request was from tv@beamnet.de to control@bugs.debian.org. (Thu, 18 Sep 2008 21:09:12 GMT) Full text and rfc822 format available.

Reply sent to Thomas Viehmann <tv@beamnet.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sami Liedes <sliedes@cc.hut.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #46 received at 499201-close@bugs.debian.org (full text, mbox):

From: Thomas Viehmann <tv@beamnet.de>
To: 499201-close@bugs.debian.org
Subject: Bug#499201: fixed in libidn 1.10-2.1
Date: Thu, 18 Sep 2008 21:17:09 +0000
Source: libidn
Source-Version: 1.10-2.1

We believe that the bug you reported is fixed in the latest version of
libidn, which is due to be installed in the Debian FTP archive:

idn_1.10-2.1_amd64.deb
  to pool/main/libi/libidn/idn_1.10-2.1_amd64.deb
libidn11-dev_1.10-2.1_amd64.deb
  to pool/main/libi/libidn/libidn11-dev_1.10-2.1_amd64.deb
libidn11_1.10-2.1_amd64.deb
  to pool/main/libi/libidn/libidn11_1.10-2.1_amd64.deb
libidn_1.10-2.1.diff.gz
  to pool/main/libi/libidn/libidn_1.10-2.1.diff.gz
libidn_1.10-2.1.dsc
  to pool/main/libi/libidn/libidn_1.10-2.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 499201@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Viehmann <tv@beamnet.de> (supplier of updated libidn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 18 Sep 2008 18:24:10 +0200
Source: libidn
Binary: idn libidn11-dev libidn11
Architecture: source amd64
Version: 1.10-2.1
Distribution: unstable
Urgency: low
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Changed-By: Thomas Viehmann <tv@beamnet.de>
Description: 
 idn        - Command line and emacs interface to GNU libidn
 libidn11   - GNU libidn library, implementation of IETF IDN specifications
 libidn11-dev - Development files GNU libidn, implementation of IETF IDN spec
Closes: 499201
Changes: 
 libidn (1.10-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Reintroduce libidn11-dev.postinst, do .prerm like
     debhelper would, just with section Development.
     Pass -n to dh_installinfo because we do the scripting
     ourselves. Remove bogus idn.info.
     Fix wrong order of arguments in install-info call
     compared to 1.10-1. really Closes: #499201
Checksums-Sha1: 
 ac05e614184f5496665d331e84728e7e68547deb 1040 libidn_1.10-2.1.dsc
 abca3005e485b176567941f11663d9b6f377abbc 4399 libidn_1.10-2.1.diff.gz
 761beff9fbd43ffd6485a5866d5c8816b388ae4b 93170 idn_1.10-2.1_amd64.deb
 bc62d9f172c908e10d3e9cd8ce019041ddd22765 613624 libidn11-dev_1.10-2.1_amd64.deb
 d8b20839b00ab1a6048b23f39645080ecd801675 144944 libidn11_1.10-2.1_amd64.deb
Checksums-Sha256: 
 3ed3373513402170de660a77a12725d91065c67a6c2faeeff3679a6e3c6d43f0 1040 libidn_1.10-2.1.dsc
 f361a629174ff21e55dc891f04c9efe2f701b1df2d965073cbb8aea5b193f2bc 4399 libidn_1.10-2.1.diff.gz
 79b5745f22512d9160b79dc5b67478cc50fe47b57afada5c2aae980ea8255ed0 93170 idn_1.10-2.1_amd64.deb
 3402300ae4ed8d015c7f0f49c0f1cacc8892c521e75a6dd8c6bf531d5f3e32bb 613624 libidn11-dev_1.10-2.1_amd64.deb
 de1c72b40dba4526aa730fda91f3fee2cc45a8e48bcd9ebfaac0ce021a518560 144944 libidn11_1.10-2.1_amd64.deb
Files: 
 4992b866727916d26c0c229ca1d5090a 1040 libs optional libidn_1.10-2.1.dsc
 7c84bf83df36a8d015c2eca25e7ae116 4399 libs optional libidn_1.10-2.1.diff.gz
 d41099f1492d7e768119ec8f80711961 93170 misc optional idn_1.10-2.1_amd64.deb
 5e8e56700db5921da08bca67c4e27153 613624 libdevel optional libidn11-dev_1.10-2.1_amd64.deb
 13177958fd58d424d8ed609422273b5e 144944 libs standard libidn11_1.10-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjSvzAACgkQriZpaaIa1PmdzwCgkqtlBSWn4fXiIAY8MsnWOpPs
LQ0AoJXrEzBF5T+2qRKwFZs2z2huj4S1
=K1GA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Oct 2008 07:26:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:51:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.